Skip to main content
POST
/
api
/
public
/
product
/
create
/
{promptBlockId}
Create products
curl --request POST \
  --url https://api.vambe.me/api/public/product/create/{promptBlockId} \
  --header 'Content-Type: application/json' \
  --header 'x-api-key: <x-api-key>' \
  --data '
[
  {
    "name": "<string>",
    "description": "<string>",
    "price": 1,
    "external_id": "<string>",
    "metadata": [
      {
        "key": "<string>",
        "value": "<string>"
      }
    ],
    "file_url": "<string>",
    "sku": "<string>"
  }
]
'
const options = {
method: 'POST',
headers: {'x-api-key': '<x-api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify([
{
name: '<string>',
description: '<string>',
price: 1,
external_id: '<string>',
metadata: [{key: '<string>', value: '<string>'}],
file_url: '<string>',
sku: '<string>'
}
])
};

fetch('https://api.vambe.me/api/public/product/create/{promptBlockId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
import requests

url = "https://api.vambe.me/api/public/product/create/{promptBlockId}"

payload = [
{
"name": "<string>",
"description": "<string>",
"price": 1,
"external_id": "<string>",
"metadata": [
{
"key": "<string>",
"value": "<string>"
}
],
"file_url": "<string>",
"sku": "<string>"
}
]
headers = {
"x-api-key": "<x-api-key>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)

Headers

x-api-key
string
required

API key needed to authorize the request

Path Parameters

promptBlockId
string
required

The prompt block ID to create the products

Body

application/json

The payload to send with the products

Required array length: 1 - 2000 elements
name
string
required
Minimum string length: 1
description
string
required

In the description you only need to add words that help the AI do a semantic search, avoide placing here prices, links or other type of data that is not natural language

Required string length: 1 - 8192
type
enum<string>
required
Available options:
shopify,
vambe,
woocommerce,
axis,
vtex,
jumpseller,
odoo,
tiendanube,
magento,
custom_app
currency
enum<string>
required
Available options:
CLP,
USD,
MXN,
BRL,
UF,
ARS,
COP,
UYU,
PEN,
EUR,
HNL,
BOB,
PYG,
GTQ,
NIO,
PAB,
CRC,
DOP,
VES,
BZD,
SRD,
GYD
price
number
required
Required range: x > 0
external_id
string
required
metadata
object[]
required
file_url
string
sku
string

Response

Products created successfully.